Nenad Vijatov | 25 May 14:23
Picon

Building a message batch to scan...

Hi guys,

after I ran MailScanner --debug --debug-sa it hangs ...
Last log message is: Building a message batch to scan...

What can be wrong (or not) in my configuration?

--
Thanks again,
Nenad Vijatov
--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

Nenad Vijatov | 25 May 10:14
Picon

Filetype rules from local

Hi everyone,

Is it possible to disable filetype checks from local (127.0.0.1 or localhost) and how?


Thank you in advance ... Cheers!


--
Nenad Vijatov

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 
Johan | 23 May 11:31

Excess number of children

I have previously used mailscanner on Ubuntu with out any problems on a
handful computers. I have been using version 4.79.11 with perl 5.12.4.

Now I have upgraded one computer to Ubuntu 12.04 and I have had several
small problems but the major problem is that mailscanner creates and
leaves a large number of children (reported på mailwatch). After a while
I must reboot the computer to get the system functioning again.

Im using the same config-file as before. Max number of children has been
and still is set to 1 in the config-file.

Any idea about how to solve the problem?

/Johan Pålsson

johan <at> system-b:~$ sudo MailScanner -v
Using a hash as a reference is deprecated at /usr/sbin/MailScanner line 590.
Running on
Linux system-b 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC
2010 i686                                                    athlon i386
GNU/Linux
This is Perl version 5.014002 (5.14.2)

This is MailScanner version 4.79.11
Module versions are:
1.00    AnyDBM_File
1.30    Archive::Zip
0.27    bignum
1.20    Carp
2.048   Compress::Zlib
1.119   Convert::BinHex
0.17    Convert::TNEF
2.130_02        Data::Dumper
2.30    Date::Parse
1.04    DirHandle
1.11    Fcntl
2.82    File::Basename
2.21    File::Copy
2.02    FileHandle
2.08_01 File::Path
0.22    File::Temp
0.92    Filesys::Df
3.69    HTML::Entities
3.69    HTML::Parser
3.69    HTML::TokeParser
1.25_04 IO
1.15    IO::File
1.14    IO::Pipe
2.08    Mail::Header
1.994   Math::BigInt
0.2602  Math::BigRat
3.13    MIME::Base64
5.502   MIME::Decoder
5.502   MIME::Decoder::UU
5.502   MIME::Head
5.502   MIME::Parser
3.13    MIME::QuotedPrint
5.502   MIME::Tools
0.14    Net::CIDR
1.25    Net::IP
0.19    OLE::Storage_Lite
1.04    Pod::Escapes
3.16    Pod::Simple
1.24    POSIX
1.23    Scalar::Util
1.94    Socket
2.27    Storable
1.4     Sys::Hostname::Long
0.29    Sys::Syslog
missing Test::Pod
0.98    Test::Simple
1.972101        Time::HiRes
1.02    Time::localtime

Optional module versions are:
1.76    Archive::Tar
0.27    bignum
missing Business::ISBN
missing Business::ISBN::Data
missing Data::Dump
1.821   DB_File
1.35    DBD::SQLite
1.616   DBI
1.16    Digest
1.03    Digest::HMAC
2.51    Digest::MD5
2.13    Digest::SHA1
missing Encode::Detect
0.17010 Error
0.280203        ExtUtils::CBuilder
2.2210  ExtUtils::ParseXS
2.38    Getopt::Long
missing Inline
1.08    IO::String
1.10    IO::Zlib
missing IP::Country
missing Mail::ClamAV
3.003002        Mail::SpamAssassin
missing Mail::SPF
missing Mail::SPF::Query
0.38    Module::Build
missing Net::CIDR::Lite
0.66    Net::DNS
missing Net::DNS::Resolver::Programmable
missing Net::LDAP
 4.058  NetAddr::IP
missing Parse::RecDescent
missing SAVI
3.23    Test::Harness
missing Test::Manifest
2.02    Text::Balanced
1.59    URI
0.88    version
missing YAML

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

Mark Sapiro | 23 May 02:15
Favicon

Loads of stale zero byte tmp files?

Remco Barendse wrote:

I have an issue with MailScanner-4.84.5-2 / SpamAss on CentOS 6.2. The
setup seems to be working ok but i have an issue on 2 boxes that temp
files do not get deleted.  In /tmp stuff like this is piling up quickly:
-rw-------. 1 root    root         94 May 20 22:55 K2M0qbNwv6
-rw-------. 1 root    root          0 May 21 05:08 tmp.1t3DQ6ZFaU
-rw-------. 1 root    root          0 May 21 06:14 tmp.9ZRV7VB41Y
-rw-------. 1 root    root          0 May 21 04:17 tmp.DmqX7lvDJS
-rw-------. 1 root    root          0 May 21 04:17 tmp.HwtJIyJImI
-rw-------. 1 root    root          0 May 21 06:14 tmp.MdrrIsMqGa
-rw-------. 1 root    root          0 May 21 05:08 tmp.ToMnIIFMf1

The above files are left behind by the
/etc/cron.hourly/update_virus_scanners process. This runs
/usr/sbin/update_virus_scanners every hour which in turn goes through
all the configured virus scanners checking if the scanner is installed
and then, if it is, running its update process.

Two of the check processes:

/usr/lib/MailScanner/bitdefender-wrapper
/usr/lib/MailScanner/clamav-wrapper

when called with -IsItInstalled create these files and don't remove
them. A third,

/usr/lib/MailScanner/kaspersky-wrapper

only creates the file and fails to remove it when called with the
-IsItInstalled option and the kaspersky package is installed.

The attached MS.patch file will fix this.

and in /var/spool/MailScanner/incoming/SpamAssassin-Temp :
-rw-------. 1 root root 0 May 21 06:31 MailScanner.UfuR0E
-rw-------. 1 root root 0 May 21 05:58 MailScanner.vpJ3tf
-rw-------. 1 root root 0 May 21 03:34 MailScanner.zmZPln
-rw-------. 1 root root 0 May 21 03:34 MailScanner.zTSxkI

One of the above files is created on my system every time MailScanner
starts a new child process, i.e. every time a child dies of old age and
is restarted. Also, if I restart MailScanner itself, I get an additional
one created.

I'm not sure where the actual create and/or failure to remove is.

-rw-------. 1 root root 0 May 21 05:42 tmp.1t1IUXAFLV
-rw-------. 1 root root 0 May 21 05:42 tmp.296NAlpKdS
-rw-------. 1 root root 0 May 21 03:35 tmp.3cDHk7cwub
-rw-------. 1 root root 0 May 21 03:20 tmp.3eimiawowx

I see these rarely. I don't know what leaves them.

-- 
Mark Sapiro <mark <at> msapiro.net>        The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

--- /usr/lib/MailScanner/bitdefender-wrapper.orig	2012-05-22 15:55:44.000000000 -0700
+++ /usr/lib/MailScanner/bitdefender-wrapper	2012-05-22 15:58:48.000000000 -0700
@@ -55,6 +55,7 @@
 fi

 if [ "x$1" = "x-IsItInstalled" ]; then
+  rm -f $LogFile
   [ -x ${PackageDir}/$prog ] && exit 0
   exit 1
 fi
--- /usr/lib/MailScanner/clamav-wrapper.orig	2012-05-22 15:54:17.000000000 -0700
+++ /usr/lib/MailScanner/clamav-wrapper	2012-05-22 16:00:31.000000000 -0700
@@ -132,6 +132,7 @@
 fi

 if [ "x$1" = "x-IsItInstalled" ]; then
+  rm -f ${TempDir}
   [ -x $ClamScan ] && exit 0
   exit 1
 fi
--- /usr/lib/MailScanner/kaspersky-wrapper.orig	2012-05-22 17:01:21.000000000 -0700
+++ /usr/lib/MailScanner/kaspersky-wrapper	2012-05-22 17:03:27.000000000 -0700
@@ -45,6 +45,7 @@
   Report=$(mktemp) || { echo "$0: Cannot create temporary file" >&2; exit 1; }
   ScanOptions="-xp -i0" # Don't report progress, don't attempt to clean
   if [ "x$1" = "x-IsItInstalled" ]; then
+    rm -f $Report
     exit 0
   fi

@@ -64,6 +65,7 @@
   Report=$(mktemp) || { echo "$0: Cannot create temporary file" >&2; exit 1; }
   ScanOptions="-xp -i0" # Don't report progress, don't attempt to clean
   if [ "x$1" = "x-IsItInstalled" ]; then
+    rm -f $Report
     exit 0
   fi

@@ -83,6 +85,7 @@
   Report=$(mktemp) || { echo "$0: Cannot create temporary file" >&2; exit 1; }
   ScanOptions="-xp -i0" # Don't report progress, don't attempt to clean
   if [ "x$1" = "x-IsItInstalled" ]; then
+    rm -f $Report
     exit 0
   fi

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 
funk.gabor | 22 May 01:30
Picon
Favicon

VÁ: Re: Loads of stale zero byte tmp files?


-- eredeti üzenet --
Tárgy: Re: Loads of stale zero byte tmp files?
Feladó: Phil Hale <phaleintx <at> gmail.com>
Dátum: 2012.05.22. 00:58

I just checked on the github page 
(https://github.com/julesfm/MailScanner) and there is 1 pull request 
that was posted 2 months ago that has fixes for TNEF regression and a 
few other things.  So far it has not  been pulled into the master 
branch.  The only other activity is the initial commit of the master 
branch 4 months ago.  Is the github branch not being used to continue 
development?

Phil

On 05/21/2012 05:04 PM, Remco Barendse wrote:
> On Mon, 21 May 2012, Richard Mealing wrote:
>
>> I would check in your mailq.in folder also as you might find tnef 
>> files there too.
>>
>> I raised this a couple of weeks ago, but no-one got back to me, so I 
>> rolled all my machines back to 4.83.5.
>
> Slowly i am getting the feeling that MailScanner is turning into 
> abandonware...   The problems with TNEF have been reported ages ago 
> and i do remember seeing some fixes posted to the mailing list but 
> don't think they ever got incorporated in the latest release of MS.
>
> Pity, MS has always been doing a great job for me
-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

M A Young | 21 May 13:24
Picon
Picon

RE: Loads of stale zero byte tmp files?

> From: Remco Barendse
> Sent: 21 May 2012 06:22
> Subject: Loads of stale zero byte tmp files?
>
> I have an issue with MailScanner-4.84.5-2 / SpamAss on CentOS 6.2. The
> setup seems to be working ok but i have an issue on 2 boxes that temp
> files do not get deleted.  In /tmp stuff like this is piling up quickly:
> -rw-------. 1 root    root         94 May 20 22:55 K2M0qbNwv6
> -rw-------. 1 root    root          0 May 21 05:08 tmp.1t3DQ6ZFaU
> -rw-------. 1 root    root          0 May 21 06:14 tmp.9ZRV7VB41Y
> -rw-------. 1 root    root          0 May 21 04:17 tmp.DmqX7lvDJS
> -rw-------. 1 root    root          0 May 21 04:17 tmp.HwtJIyJImI
> -rw-------. 1 root    root          0 May 21 06:14 tmp.MdrrIsMqGa
> -rw-------. 1 root    root          0 May 21 05:08 tmp.ToMnIIFMf1

I am seeing the ones in /tmp . For me they match with the regular virus 
update run (as logged in /var/log/maillog ), and probably clamav.

 	Michael Young
--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

Remco Barendse | 21 May 07:22
Picon

Loads of stale zero byte tmp files?

Hi list

I have an issue with MailScanner-4.84.5-2 / SpamAss on CentOS 6.2. The 
setup seems to be working ok but i have an issue on 2 boxes that temp 
files do not get deleted.  In /tmp stuff like this is piling up quickly:
-rw-------. 1 root    root         94 May 20 22:55 K2M0qbNwv6
-rw-------. 1 root    root          0 May 21 05:08 tmp.1t3DQ6ZFaU
-rw-------. 1 root    root          0 May 21 06:14 tmp.9ZRV7VB41Y
-rw-------. 1 root    root          0 May 21 04:17 tmp.DmqX7lvDJS
-rw-------. 1 root    root          0 May 21 04:17 tmp.HwtJIyJImI
-rw-------. 1 root    root          0 May 21 06:14 tmp.MdrrIsMqGa
-rw-------. 1 root    root          0 May 21 05:08 tmp.ToMnIIFMf1

and in /var/spool/MailScanner/incoming/SpamAssassin-Temp :
-rw-------. 1 root root 0 May 21 06:31 MailScanner.UfuR0E
-rw-------. 1 root root 0 May 21 05:58 MailScanner.vpJ3tf
-rw-------. 1 root root 0 May 21 03:34 MailScanner.zmZPln
-rw-------. 1 root root 0 May 21 03:34 MailScanner.zTSxkI
-rw-------. 1 root root 0 May 21 05:42 tmp.1t1IUXAFLV
-rw-------. 1 root root 0 May 21 05:42 tmp.296NAlpKdS
-rw-------. 1 root root 0 May 21 03:35 tmp.3cDHk7cwub
-rw-------. 1 root root 0 May 21 03:20 tmp.3eimiawowx

Any clues why the temp files are not getting deleted?

Thx!

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

Ian Knight | 17 May 17:49
Favicon

External spamassassin

Hi,

We run a number of seperate mailscanner servers mainly for outgoing 
smtp, we would like to run a shared spamd process on these (on a 
seperate server) we do this with other servers just wondering if this is 
possible with MailScanner - mainly so it takes use of a shared bayes 
setup and so we can guarantee all emails through all servers would be 
getting the same spam scores etc?

--
Ian
--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 

Marek Šimon | 16 May 20:28
Picon
Favicon

Incorrect logging

Hi,
I have mailscanner with postfix and mailwatch. There is Mailwatch extension in custom function.  Everything works except mailscanner logs "from" instead of "source reverze address" and nothing instead "To:". Seems there is something wrong inside the MailScanner or MailWatch.
Marek
--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 
Marek Šimon | 16 May 17:25
Picon
Favicon

mailscanner on postfix+debian with non-root

Hi,
I am trying to run MailScanner 4.84.5 on Debian with postfix and with Mailwatch, non root (because mail daemons should not run under root)

I set up this config (part):
Max Children = 2
Run As User = postfix
Run As Group = postfix
Queue Scan Interval = 10
Incoming Queue Dir = /var/spool/postfix/hold
Outgoing Queue Dir = /var/spool/postfix/incoming
Incoming Work Dir = /var/spool/MailScanner/incoming
Quarantine Dir = /var/spool/MailScanner/quarantine
PID file = /var/run/MailScanner/MailScanner.pid
Restart Every = 14400
MTA = postfix
Sendmail = /usr/sbin/sendmail
Sendmail2 = /usr/sbin/sendmail -DOUTGOING
Incoming Work User = 
Incoming Work Group = mailwatch 
Incoming Work Permissions = 0660
Quarantine User = 
Quarantine Group = mailwatch
Quarantine Permissions = 0660
etc. (I can send the whole config).

where mailwatch is group containing postfix,clamav,www-data

But I get this error message  sometimes the batch starts procesing:
Insecure dependency in open while running with -T switch at /usr/lib/perl/5.10/IO/File.pm line 63.

Is there somebody, who is succesfully running Mailscanner with postfix non root?

Thank you.

Marek

--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 
Stef Morrell | 11 May 18:26

RE: Rulesets (solved)

> Hello,
>  
> I think I have some confusion over the order in which 
> rulesets are parsed.
>  
> the book. Finally, my google-fu is apparently not strong in this case.

Google-fu eventually came through, in a 2006 posting from this list.
There are two kinds of rulesets, all matching and first matching.
Scan.messages.rules turns out to be an all matching, so any "yes" will
give a positive match.

To make it work as I wanted it, needed a little change in ConfigDefs.pl
as per
http://lists.mailscanner.info/pipermail/mailscanner/2006-February/058521
.html

Which hopefully will resolve the issue.
--

-- 
MailScanner mailing list
mailscanner <at> lists.mailscanner.info
http://lists.mailscanner.info/mailman/listinfo/mailscanner

Before posting, read http://wiki.mailscanner.info/posting

Support MailScanner development - buy the book off the website! 


Gmane